<?php
header('Content-Type: application/json', 'charset=UTF-8');
require_once __DIR__ . '/ControlCandidatos.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['id_candidato'])) {
    $candidatoController = new ControlCandidatos();
    $id_candidato = $_POST['id_candidato'];
    $resultado = $candidatoController->eliminarCandidato($id_candidato);
    echo json_encode($resultado);
} else {
    http_response_code(400);
    echo json_encode([
        'estado' => 'error',
        'mensaje' => 'Método no permitido.'
    ]);
}

?>